/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.HproductosZonasTotal;

import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * @author obper
 */
@Stateless
public class HproductosZonasTotalFacade extends AbstractFacade<HproductosZonasTotal> implements HproductosZonasTotalFacadeLocal {
    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public HproductosZonasTotalFacade() {
        super(HproductosZonasTotal.class);
    }

    @Override
    public List<HproductosZonasTotal> resultadoSucursal(String sucursal) {
        Query q = em.createNamedQuery("HproductosZonasTotal.findBySucursalCodigo");
        q.setParameter("sucursalCodigo", Integer.parseInt(sucursal));
        return q.getResultList();
    }

}
